List Scheduled Jobs
Retrieves all scheduled jobs for an application with pagination and optional date range filtering. Supports filtering by execution date range.
GET
/api/v1/{team_slug}/{app_slug}/scheduleAuthorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
app_slugstringrequiredApp slug
team_slugstringrequiredTeam slug
Query parameters
pageintegerPage number (default is 1)
per-pageintegerAmount of jobs per page. Minimum 1 and max 100 (default is 20)
from-datestringInclude jobs with execute_at >= this RFC3339 timestamp
to-datestringInclude jobs with execute_at <= this RFC3339 timestamp
item-idsstring[]Filter jobs by item IDs (can be specified multiple times)
Responses
200
Scheduled jobs
datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.Job[]requiredShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.Jobadd_category_namesstring[]add_collection_namesstring[]add_tag_namesstring[]execute_atstringDate when the job should run
finished_atstring | nullIf a job is finished will this timestamp be filled
group_idstringidstringitem_idstringitem_namestringitem_typestringremove_category_namesstring[]remove_collection_namesstring[]remove_tag_namesstring[]to_amount_cents_with_taxinteger | nullto_market_idstringto_market_statusstringto_on_saleboolean | nullto_sale_amount_cents_with_taxinteger | nullto_start_sale_timestampstringto_statusstring | nullto_stop_sale_timestampstringto_store_group_idstringsuccessbooleantotalintegertotal_pagesinteger400
Invalid request (e.g. bad query params)
detailsstring[]messagestringsuccessbooleanrequired401
Unauthorized access
detailsstring[]messagestringsuccessbooleanrequired500
Internal server error
detailsstring[]messagestringsuccessbooleanrequired